# Copyright (C) 2010 Generalitat de Catalunya 
# 
# This file is part of Linkat CTTI.  
# 
# Linkat CTTI is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option) any
# later version.
# 
# Linkat CTTI is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for further
# details, currently published at http://www.gnu.org/licenses/gpl.txt or in the
# gpl.txt in the ["legal" folder] of this distribution.
# 
# You should have received a copy of the GNU General Public License along with
# this program; If not, see <http://www.gnu.org/licenses/>
# 
# Authors: David Cassany Viladomat (dcassany@opentrends.net), openTrends Solucions
# i Sistemes, S.L.
# 
# You may contact the copyright holder at: Centre de Telecomunicacions i
# Tecnologies de la Informació de la Generalitat de Catalunya, Pg. de Gràcia,
# 11 Esc. A 3a. Planta, 08007 Barcelona, correu.ctti@gencat.cat.


Name:         linkat4-LTSP-ldap
License:      GPL
Group:        Productivity/Networking/System
Summary:      Linkat 4 configurations for LTSP with ldap
Version:      0.1
Release:      1.1
URL:          http://linkat.xtec.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      %{name}-%{version}.tar.bz2
Requires:     linkat4-LTSP, openldap2-client, yast2-ldap-client, pam_ldap, nss_ldap

Vendor:	      linkat
Distribution: education

%description
This is a set of configurations to setup LTSP servers in order to authenticate via openldap2-client according to linkat4 criteria,
including Thin Client brandings, server and system configurations.

%prep

%setup -q

%build

%install
mkdir -p ${RPM_BUILD_ROOT}/srv/tftpboot/KIWI
cp -rf * ${RPM_BUILD_ROOT}

%pre

%post
if [ -f /etc/ldap.conf ] ; then
	mv /etc/ldap.conf /etc/ldap.conf.linkat4Bak.`date +%d-%m-%Y`
fi
cp /srv/tftpboot/KIWI/ldap.conf.linkat4-ltsp /etc/ldap.conf
if [ -d /root/Desktop ] ; then
	cp /usr/share/applications/YaST2/ldap.desktop /root/Desktop/
	sed -i "s:Exec=.*$:Exec=/usr/bin/xdg-su -c '/sbin/yast2 ldap':" /root/Desktop/ldap.desktop
	chmod +x /root/Desktop/ldap.desktop
fi
if [ -d /root/Escriptori ] ; then
	cp /usr/share/applications/YaST2/ldap.desktop /root/Escriptori/
	sed -i "s:Exec=.*$:Exec=/usr/bin/xdg-su -c '/sbin/yast2 ldap':" /root/Escriptori/ldap.desktop
	chmod +x /root/Escriptori/ldap.desktop
fi
if [ -f /etc/pam.d/common-session ] ; then
        grep pam_mkhomedir.so /etc/pam.d/common-session > /dev/null
        if [ $? -ne "0" ] ; then
                echo -e "session optional\tpam_mkhomedir.so" >> /etc/pam.d/common-session
        fi
fi

%postun
if [ -f /root/Escriptori/ldap.desktop ]; then
	rm /root/Escriptori/ldap.desktop
fi
if [ -f /root/Desktop/ldap.desktop ]; then
	rm /root/Desktop/ldap.desktop
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
/srv/tftpboot/KIWI/ldap.conf.linkat4-ltsp

%changelog
* Tue Nov 4 2010 David Cassany Viladomat <dcassany@opentrends.net> 
- First release.

